using System.Text;

namespace C1.C1Zip
{
    public class EncodingEx
    {
        public static Encoding GetEncoding(string name)
        {
            var n = name.ToLower();

            if (n.Equals("shift-jis"))
            {
                return new ShiftJISEncoding();
            }

            if (n.Equals("euc-jp"))
            {
                return new EUCJPEncoding();
            }

            if (n.Equals("gb2312"))
            {
                return new GB2312Encoding();
            }

            if (n.Equals("big5"))
            {
                return new Big5Encoding();
            }

            if (n.Equals("euc-kr"))
            {
                return new EUCKREncoding();
            }

            if (n.Equals("ks_c_5601-1987"))
            {
                return new KS_C_5601_1987Encoding();
            }

            return Encoding.GetEncoding(name);
        }
    }
}
